Viewing Issue Advanced Details Jump to Notes ] kinst.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05363 Sound Minor Always Nov 12, 2013, 18:32 25 days ago
Tester talbin View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows Vista/7/8 (64-bit)
Status [?] Acknowledged   Driver kinst.cpp
Version 0.151 Fixed in Version Build 64-bit
Summary 05363: kinst: Sound stuttering during the VS screen animation and victory screens
Description Regression from .150. Sound stuttering occurs during the Versus screen, the after battle victory screens, and when characters are knocked off of buildings at the end of battles.
Steps To Reproduce Starting new games, winning games by ultra combo or fatality, or knocking opponent off of a building.
Additional Information I tested .147 -> .150 and all worked without the sound stuttering.



Flags
Regression Version 0.151
Affected Sets / Systems kinst
Attached Files
 


-  Notes
User avatar
No.09977
B2K24
(Moderator)
Nov 12, 2013, 20:00
Ultra combos and fatalities seem fine here. I can't reproduce this
User avatar
No.09978
Tafoid
(Administrator)
Nov 12, 2013, 20:18
The only oddness I see in the last month or so is that the cutscenes play quicker and there isn't that delay before "Fight On" is spoken. I don't notice any performance slowdown, however - if anything it's faster.
User avatar
No.09979
talbin
(Tester)
Nov 12, 2013, 22:49
edited on: Nov 12, 2013, 23:38
@B2K24 - It is not during Ultra combos or fatalities it is during the after battle sequence where it says Awesome victory

@Tafoid - I also noticed that speedup as well now that you mention it. There isn't a slowdown but the sound becomes out of sync for less than a second causing a skip. I will add a video shortly.

User avatar
No.09980
smf
(Developer)
Nov 13, 2013, 00:04
If it's quicker it's because the seek timing was tweaked recently. It used to be that if you read a block that was more than 1 away from the previous block read then you got the full seek time, even if it was on the same track or the next one. Now it scales the time based on how far from the last sector, which is not perfect either & it probably shouldn't be a linear scale. However I wasn't aware that anything was relying on the reads being slow.

It's possible that the problem is the emulation speed is dropping less than 100% because it's decompressing data from the disk more often than it used to. If so then it would be interesting to compare a real machine against the timing of a video (or mame running on hardware that can cope with running the game at 100%). Because the aim is to get the timing right and not slow the reads down so the overhead of loading stops sound from stuttering.
User avatar
No.09981
B2K24
(Moderator)
Nov 13, 2013, 07:43
OK I finally figured out what you were talking about. This game runs at 100% the entire time except at the VS screen spot which I made a short video showing exactly where it occurs.
I didn't see it before because I have Fast forward key mapped to my joypad to speed things up at times depending on the game I'm playing.

The slight hiccup in the kinst.mp4 does not happen in version 0.150
User avatar
No.09989
NekoEd
(Senior Tester)
Nov 16, 2013, 00:19
I think we should open a separate bug on the hard drive issue, perhaps, if only to have a record of it.
User avatar
No.09990
Tafoid
(Administrator)
Nov 16, 2013, 01:25
Technically, this bug is referring the IDE/compression issue. The slowdown is the side effect of pushing all that compression data at once now rather than before.
It is being worked on.
User avatar
No.13334
Fujix
(Administrator)
Nov 9, 2016, 09:11
Moved two movie attachments posted by talbin and B2K24 to YouTube.
User avatar
No.13956
talbin
(Tester)
25 days ago
I've tested .152 - .187 and the issue has continued to persist in each mame version.
User avatar
No.13957
B2K24
(Moderator)
25 days ago
Please refrain from bumping these reports unless you have relevant or important information to add.

The current status is unchanged, so of course it will still happen with current MAME. If this issue can be fixed, you'll see it resolved here and listed in a future whatsnew.txt

You may instead click the monitor issue button if you wish.